Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 603204 - vpn reset caused qpid thread to throw an unhandled exception.
vpn reset caused qpid thread to throw an unhandled exception.
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
beta
All Windows
low Severity medium
: ---
: ---
Assigned To: messaging-bugs
MRG Quality Engineering
:
Depends On: 603085
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 16:40 EDT by Timothy St. Clair
Modified: 2018-01-29 16:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy St. Clair 2010-06-11 16:40:04 EDT
Description of problem:
While condor was connected to the broker a vpn blib caused the condor_startd to crash. Upon investigation the following was found:

First-chance exception at 0x7c812afb in
condor_startd.exe: Microsoft C++ exception: qpid::TransportFailure at
memory location 0x066cf444

The stack frame did not contain condor symbols and I was unable to trace w/o qpid .pdb files.  

Version-Release number of selected component (if applicable):
qpid-cpp-0.7.946106-x.zip

How reproducible:
100%

Steps to Reproduce:
1. Connect to a broker across vpn (condor_startd) 
2. disconnect vpn
3. <crash>
  
Actual results:
First-chance exception at 0x7c812afb in
condor_startd.exe: Microsoft C++ exception: qpid::TransportFailure at
memory location 0x066cf444

Expected results:
graceful error propagation and cleanup.
Comment 1 Gordon Sim 2010-06-12 05:26:03 EDT
The expected way of communicating loss of transport is the throwing of TransportFailure. I'm assuming you are using the QMF agent API? The question then is whether or not it is supposed to shield you from catching exceptions and convey error status in some other way.
Comment 2 Timothy St. Clair 2010-06-12 13:00:05 EDT
Correct we are using qmf.  

From what I had seen the exception was not thrown into a code path that I could trap on, which means it was unhandled within a thread proc internal to qpid.

Note You need to log in before you can comment on or make changes to this bug.